/* Group block marquee style
   ========================================================================== */

*:has(>.wp-block-group.is-style-marquee),
*:has(>.wp-block-group.is-style-marquee-invert) {
    overflow: hidden;
}

.wp-block-group.is-style-marquee,
.wp-block-group.is-style-marquee-invert {
    display: flex;
    flex-direction: row !important;
    flex-wrap: nowrap;
    opacity: 0;
    transition: opacity 0.5s ease-in;
    will-change: transform;

    &.marquee-ready,
    &.block-editor-block-list__block {
        opacity: 1;
    }

    & > * {
        margin-block-start: 0;
        flex: 0 0 auto;
        min-width: 100px;
        max-width: 90vw;
    }
}

/* Query block marquee style
   ========================================================================== */

.wp-block-query.is-style-marquee,
.wp-block-query.is-style-marquee-invert {
    overflow: hidden;

    & .wp-block-post-template {
        display: flex;
        flex-direction: row !important;
        flex-wrap: nowrap;
        opacity: 0;
        transition: opacity 0.5s ease-in;
        will-change: transform;

        &.marquee-ready,
        &.block-editor-block-list__block {
            opacity: 1;
        }

        & .wp-block-post {
            margin-block-start: 0;
            flex: 0 0 auto;
            min-width: 100px;
            max-width: 90vw;
        }
    }
}
